
<?= $element->renderSubmenu('/2-lekce-podminky'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<h2 class="text-xl">1. Co se píše na konci každého řádku? A co se píše na konci řádku za if?</h2>
<p>Na konci každého řádku se píše <b>;</b> (středník). Za if se nepíše nic.</p>

<h2 class="text-xl">2. Co se stane, když zapomenu napsat <b>break</b> v konstrukci switch?</h2>
<p>Pokud zapomenete napsat break ve větvi, která je vyhodnocena jako TRUE, tak se <b>provádí veškerý kód</b> za ní (i ten v dalších větvích/případech (case)), dokud program nenarazí na <b>break</b>.</p>

<h2 class="text-xl">3. Jaké logické oprátory známe?</h2>
<p>AND (<b>&&</b>) a OR(<b>||</b>).</p>

<h2 class="text-xl">4. Jaké klíčové slovíčko napíšu, když chci využít větev podmínky která nebyla splněna?</h2>
<p><b>else</b></p>

<h2 class="text-xl">5. Do jakých uvozovek musím napsat datový typ string?</h2>
<p>Jednoduché (<b>'</b>) nebo dvojité(<b>"</b>).</p>

<h2 class="text-xl">6. Doplň pravdivostní tabulku</h2>
<table class="w-auto border-all text-center">
	<tr>
		<td>A</td>
		<td>B</td>
		<td>A && B</td>
		<td>A || B</td>
		<td>!A</td>
	</tr>
	<tr>
		<td>0</td>
		<td>0</td>
		<td>0</td>
		<td>0</td>
		<td>1</td>
	</tr>
	<tr>
		<td>0</td>
		<td>1</td>
		<td>0</td>
		<td>1</td>
		<td>1</td>
	</tr>
	<tr>
		<td>1</td>
		<td>0</td>
		<td>0</td>
		<td>1</td>
		<td>0</td>
	</tr>
	<tr>
		<td>1</td>
		<td>1</td>
		<td>1</td>
		<td>1</td>
		<td>0</td>
	</tr>
</table>

<h2 class="text-xl">7. Vytvoř kód pro hru kámen, nůžky, papír.</h2>

<pre class="php">
&lt;?php
    <span class="php__var">$tahCloveka</span> = <span class="php__str">'kámen'</span>;
    <span class="php__var">$tahPocitace</span> = <span class="php__str">'papír'</span>;

    <span class="php__syntax">if</span> (<span class="php__var">$tahCloveka</span> == <span class="php__var">$tahPocitace</span>) {
        <span class="php__syntax">echo</span> <span class="php__str">'Remíza.'</span>;
    } <span class="php__syntax">else if</span> (
               (<span class="php__var">$tahCloveka</span> == <span class="php__str">'kámen'</span> && <span class="php__var">$tahPocitace</span> == <span class="php__str">'nůžky'</span>) ||
               (<span class="php__var">$tahCloveka</span> == <span class="php__str">'nůžky'</span> && <span class="php__var">$tahPocitace</span> == <span class="php__str">'papír'</span>) ||
               (<span class="php__var">$tahCloveka</span> == <span class="php__str">'papír'</span> && <span class="php__var">$tahPocitace</span> == <span class="php__str">'kámen'</span>)
               ) {
        <span class="php__syntax">echo</span> <span class="php__str">'Vyhrála jsi!'</span>;
    } <span class="php__syntax">else</span> {
        <span class="php__syntax">echo</span> <span class="php__str">'Počítač vyhrál.'</span>;
    }
?&gt;
</pre>


<h2 class="text-xl">8. Vytvoř kód pro slepou ruletu. Víme, že dostaneme číslo od 0 - 36 (budeme mít v proměnné). Na nás je určit, zda se jedná o sudé/liché číslo, a zda je černé/červené.</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$cislo</span> = <span class="php__num">18</span>;

    <span class="php__syntax">if</span> (<span class="php__var">$cislo</span> &lt; <span class="php__num">0</span> || <span class="php__var">$cislo</span> > <span class="php__num">36</span>) {
        <span class="php__syntax">echo</span> <span class="php__str">'Číslo není z rulety'</span>;
    } <span class="php__syntax">else</span> {
        <span class="php__syntax">if</span> (<span class="php__var">$cislo</span> == <span class="php__num">0</span>) {
            <span class="php__syntax">echo</span> <span class="php__str">'Na ruletě padla 0'</span>;
        } <span class="php__syntax">else</span> {

            <span class="php__var">$jeLiche</span> = <span class="php__syntax">TRUE</span>;
            <span class="php__syntax">if</span> (<span class="php__var">$cislo</span> % <span class="php__num">2</span> == <span class="php__num">0</span>) {
                <span class="php__var">$jeLiche</span> = <span class="php__syntax">FALSE</span>;
            }

            <span class="php__syntax">if</span> (<span class="php__var">$cislo</span> > <span class="php__num">10</span> && <span class="php__var">$cislo</span> &lt; <span class="php__num">19</span> || <span class="php__var">$cislo</span> > <span class="php__num">28</span>) {
                <span class="php__syntax">if</span> (<span class="php__var">$jeLiche</span>) {
                    <span class="php__syntax">echo</span> <span class="php__str">'Číslo je liché a černé'</span>;
                } <span class="php__syntax">else</span> {
                    <span class="php__syntax">echo</span> <span class="php__str">'Číslo je sudé a červené'</span>;
                }
            } <span class="php__syntax">else</span> {
                <span class="php__syntax">if</span> (<span class="php__var">$jeLiche</span>) {
                    <span class="php__syntax">echo</span> <span class="php__str">'Číslo je liché a červené'</span>;
                } <span class="php__syntax">else</span> {
                    <span class="php__syntax">echo</span> <span class="php__str">'Číslo je sudé a černé'</span>;
                }
            } <span class="php__comment">//rozpeti</span>
        } <span class="php__comment">// = 0</span>
    } <span class="php__comment">// 0 - 36</span>
?&gt;
</pre>

<h2 class="text-xl">9. Vytvoř kód pro zjištění přestupného roku (bude mít v proměnné)</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$rok</span> = <span class="php__num">2018</span>;
    <span class="php__var">$jeRokPrestupny</span> = <span class="php__syntax">FALSE</span>;

    <span class="php__syntax">if</span> (<span class="php__var">$rok</span> % <span class="php__num">4</span> == <span class="php__num">0</span>) {
        <span class="php__syntax">if</span> (<span class="php__var">$rok</span> % <span class="php__num">100</span> == <span class="php__num">0</span>) {
            <span class="php__syntax">if</span> (<span class="php__var">$rok</span> % <span class="php__num">400</span> == <span class="php__num">0</span>) {
                <span class="php__var">$jeRokPrestupny</span> = <span class="php__syntax">TRUE</span>;
            } <span class="php__syntax">else</span> {
                <span class="php__var">$jeRokPrestupny</span> = <span class="php__syntax">FALSE</span>;
            }
        } <span class="php__syntax">else</span> {
            <span class="php__var">$jeRokPrestupny</span> = <span class="php__syntax">TRUE</span>;
        }
    }

    <span class="php__syntax">if</span> (<span class="php__var">$jeRokPrestupny</span>) {
        <span class="php__syntax">echo</span> <span class="php__str">'Rok '</span> . <span class="php__var">$rok</span> . <span class="php__str">' je přestupný'</span>;
    } <span class="php__syntax">else</span> {
        <span class="php__syntax">echo</span> <span class="php__str">'Rok '</span> . <span class="php__var">$rok</span> . <span class="php__str">' není přestupný'</span>;
    }

    <span class="php__comment">// nebo</span>

    <span class="php__var">$rok</span> = <span class="php__num">2018</span>;
    <span class="php__syntax">if</span> ((<span class="php__var">$rok</span> % <span class="php__num">4</span> == <span class="php__num">0</span>) && <span class="php__var">$rok</span> % <span class="php__num">100</span> != <span class="php__num">0</span>) || <span class="php__var">$rok</span> % <span class="php__num">400</span> == <span class="php__num">0</span>) {
        <span class="php__syntax">echo</span> <span class="php__str">'Rok '</span> . <span class="php__var">$rok</span> . <span class="php__str">' je přestupný'</span>;
    } <span class="php__syntax">else</span> {
        <span class="php__syntax">echo</span> <span class="php__str">'Rok '</span> . <span class="php__var">$rok</span> . <span class="php__str">' není přestupný'</span>;
    }
?&gt;
</pre>

<h2 class="text-xl">10. Pomocí konstrukce switch napište kód, který mi podle názvu měsíce řekne, kolik má dnů v měsíci (únor bude mít 28)</h2>
<pre class="php">
&lt;?php
    <span class="php__var">$pocetDnu</span> = <span class="php__syntax">NULL</span>;
    <span class="php__var">$mesic</span> = <span class="php__str">"duben"</span>;
    <span class="php__syntax">switch</span> (<span class="php__var">$mesic</span>) {
        <span class="php__syntax">case</span> <span class="php__str">'leden'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'březen'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'květen'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'červenec'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'srpen'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'říjen'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'prosinec'</span>:
            <span class="php__var">$pocetDnu</span> = <span class="php__num">31</span>;
            <span class="php__syntax">break</span>;
        <span class="php__syntax">case</span> <span class="php__str">'únor'</span>:
            <span class="php__var">$pocetDnu</span> = <span class="php__num">28</span>;
            <span class="php__syntax">break</span>;
        <span class="php__syntax">case</span> <span class="php__str">'duben'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'červen'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'září'</span>:
        <span class="php__syntax">case</span> <span class="php__str">'listopad'</span>:
            <span class="php__var">$pocetDnu</span> = <span class="php__num">30</span>;
            <span class="php__syntax">break</span>;
        }
    <span class="php__syntax">echo</span> <span class="php__str">"Měsíc <span class="php__var">{$mesic}</span> má <span class="php__var">{$pocetDnu}</span> dnů."</span>;
?&gt;
</pre>
